function openport;
%open serial port if it is not already
%put machine specific commands here
global serialport
if isempty(serialport),
	comp=computer;
	switch comp,
	case 'PCWIN',
		if nargin==0,
		   port='com2';
		   mode='baud=9600 parity=n data=8 stop=1 to=on xon=off odsr=off octs=off dtr=off rts=off idsr=off';
		end
		cmd=['mode ',port,mode];
		   [status,result]=dos(cmd);
		if status,
		   disp(result);
		   disp(cmd);
		   error('port unavailable?');
		end
		serialport=portcom('open',port);
		if serialport<0,
			error('could not open serial port');
		end
	case 'LNX86',
		[status,result]=...
			dos('stty 9600 -hup -ixon -icrnl -onlcr -icanon -isig -echo -iexten </dev/ttyS0');
		if status,
		   disp(result);
		   disp(cmd);
		   error('port unavailable?');
		end
		serialport=fopen('/dev/ttyS0','r+');
		if serialport<0,
			error('could not open serial port');
		end
	otherwise,
		error('dont know how to open serial port on this machine architecture');
	end
end % if serialport doesn't exist
