function setrf(s)
% setfilter(s)
% s is a string of following format
% xl yl xh yh x y   xl yl xh yh x y   ....
% xl, yl are lower cornver of RF
% xh yh are upper corner of RF
% x y are address to project spikes from within RF to
%
% as many as approimately 10 projections can be set

global serialport

[nums,count,errmsg,nextindex]=sscanf(s,'%d',[5,inf]);
if rem(count,5)~=0,
	error('wrong number of inputs, must be multiple of 5');
end
nrfs=floor(nums/5);

openport;
comp=computer;
for i=1:nrfs,
   vec=[6*nrfs,nrfs,nums(1:5,i)] % this is according to assembly code
   switch comp,
   case 'LNX86',
      fprintf(serialport,'p');  % 
      fwrite(serialport,vec,'uchar');
   case 'PCWIN',
      error('PC version not ready');
      portcom('write',serialport,'f');
      portcom('write',serialport,uint8(vec));
   otherwise,
      error('unknown architecture');
   end
end

closeport;

