function stim(x,y,freq)
% stim(x,y,freq)
% stimulate receiver pixel x,y at freqeuncy freq
% freq goes from 1Hz to approximately 625kHz
% (spike interval is really 16 bit counter value clocked at 1.6us/count)
% x,y from 0:31
global serialport

x=round(x);
y=round(y);

if x<0 | x>31 | y<0 | y>31 | max(size(x))>1 | max(size(y))>1 ,
	error('x,y must be scalars in range 0:31');
end

maxfreq=1/1.6e-6;
minfreq=maxfreq/2^16;
if max(size(freq))>1 | freq <minfreq | freq>maxfreq,
	error(['freq must be scalar Hz in range ',num2str(minfreq),'<freq<',num2str(maxfreq)]);
end

interval=1/freq;
intcount=ceil(interval/1.6e-6);
intstart=round(2^16-intcount);
intlow=bitand(intstart,255);
inthigh=bitshift(intstart,-8,16);

openport;
fprintf(serialport,'s');  % stimulate command is 's'
fwrite(serialport,[x,y,intlow,inthigh],'uchar');
